Subject: Re: bug#5676: 23.1.93; scroll bar redisplay bug locks up Emacs hard

From: Stephen Berman <[email-masked]>
Date: Wed, 26 Aug 2020 17:58:31 +0200

On Wed, 26 Aug 2020 08:18:24 -0700 Stefan Kangas <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> I've encountered a redisplay bug which locks up Emacs completely, C-g
>> has no effect.  I've seen two manifestions resulting from essentially
>> the same recipe, both involving the scroll bar.  In one manifestation,
>> the scroll bar vanishes when Emacs locks up; in the other, the scroll
>> bar flickers very rapidly.  I haven't been able to pin down exactly when
>> which manifestation occurs; maybe it's a timing issue.  However, the
>> lock up is reproducible, but under rather complex conditions.  I've
>> managed to pare down my initializations to a minimum amount that induces
>> the lock up.  Here is the recipe:
>>
>> 1. Let ~/.emacs consist of the attached file.  This loads the third
>> party library tabbar.el, available at
>> <http://emhacks.cvs.sourceforge.net/viewvc/*checkout*/emhacks/emhacks/tabbar.el?revision=1.69>,
>> so make sure to adjust the path in the load sexp.
>>
>> 2. Let ~/.newsrc consist of the following line:
>> gmane.linux.suse.opensuse.user: 1-110249
>> (Also, maybe there shouldn't be a nonempty directory ~/News/, though it
>> might not matter).
>>
>> 3. Start emacs.
>>
>> 4. Type M-x gnus, and when the Group buffer comes up, enter the
>> newsgroup gmane.linux.suse.opensuse.user
>>
>> 5. Type `j' (gnus-summary-goto-article) and at the prompt paste in this
>> Message-ID: [email-masked]
>>
>> => The scroll bar disappears and Emacs locks up hard.
>>
>> I've reproduced this under gdb and gotten two different backtraces,
>> which I will post in followups, if this report makes it into the
>> bugtracker.
>
> (That was 10 years ago.)
>
> Can you reproduce this on a modern version of Emacs, such as the
> recently released version 27.1?

I tried, but too much has changed, e.g. the gmane news server and the
openSUSE group, both of which I could adjust to what I think are the
current versions, but I was unable to access the particular newsgroup
message and got no lock up.  So I guess this bug should be closed as
unreproducible.

Steve Berman